Price Types
curl --request POST \
--url https://scx-sbx.api.jtl-software.com/v1/channel/price \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"priceTypeId": "B2C",
"displayName": "Standard Price",
"description": "B2C Price"
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/price"
payload = {
"priceTypeId": "B2C",
"displayName": "Standard Price",
"description": "B2C Price"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({priceTypeId: 'B2C', displayName: 'Standard Price', description: 'B2C Price'})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/price', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Supported Prices
Price Types
Create a price type for different customer groups.
POST
/
v1
/
channel
/
price
Price Types
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Body
application/json
Definition of a price type supported by the channel (e.g. gross, net, sale price).
Response
Price type Created
Was this page helpful?
⌘I